; DIMIN Viewer n5 XTD Filters installation script
; Dmitry V. Fedorov <www.dimin.net>
; ver: 2

;--------------------------------
;Include Modern UI

  !include "MUI.nsh"

;--------------------------------

; The name of the installer
Name "C++Builder Filter SDK example for DIMIN Viewer n5"

; The file to write
OutFile "distr\cbuilder_filter_sdk.exe"

; The default installation directory
InstallDir $PROGRAMFILES\DIMIN\Viewer5
; Registry key to check for directory (so if you install again, it will 
; overwrite the old one automatically)
InstallDirRegKey HKLM SOFTWARE\DIMIN "Viewer5_Install_Dir"

ShowInstDetails show
CRCCheck on

; The text to prompt the user to enter a directory
ComponentText "This will install C++Builder Filter SDK example for DIMIN Viewer n5."
; The text to prompt the user to enter a directory
DirText "Choose directory where DIMIN Viewer n5 is installed:"

;--------------------------------
;Interface Settings

  !define MUI_COMPONENTSPAGE_NODESC
  ;!define MUI_COMPONENTSPAGE_SMALLDESC
  
  ;!define MUI_UI "install\modern.exe"
  
  !define MUI_HEADERIMAGE 
  ;!define MUI_HEADERIMAGE_BITMAP "install\div5_install.bmp"
  !define MUI_HEADERIMAGE_BITMAP_NOSTRETCH
  
;--------------------------------
;Pages

  ;!insertmacro MUI_PAGE_COMPONENTS
  ;!insertmacro MUI_PAGE_DIRECTORY
  ;!insertmacro MUI_PAGE_INSTFILES
  ;!insertmacro MUI_PAGE_FINISH
  
  ;!insertmacro MUI_UNPAGE_CONFIRM
  ;!insertmacro MUI_UNPAGE_INSTFILES
  
;--------------------------------
;Languages
 
  !insertmacro MUI_LANGUAGE "English"

;--------------------------------

; The stuff to install
Section "C++Builder Filter SDK example (required)"
  SetOutPath "$INSTDIR\plugin_filters"
  File "example_bcc.dll"
  SetOutPath $INSTDIR  
SectionEnd

; eof
